version: "3.2"

services:
  freeradius:
    image: "2stacks/freeradius"
    privileged: true
    container_name: my-radius
    build:
      context: .
      dockerfile: Dockerfile
    volumes:
      - "./configs/radius/users:/etc/raddb/users"
    environment:
      - DB_NAME=radius
      - DB_HOST=mysql-radius
      - DB_USER=radius
      - DB_PASS=radpass
      - DB_PORT=3306
      - RADIUS_KEY=testing123
      - RAD_DEBUG=yes
      # - RAD_CLIENTS=172.28.5.0/24
      - RAD_CLIENTS=*
    ports:
      - "1812:1812/udp"
      - "1813:1813/udp"
    depends_on:
      - mysql
    restart: unless-stopped

    networks:
      my-network-2:
        ipv4_address: 172.29.1.2

  mysql:
    image: mysql:latest
    container_name: mysql-radius
    ports:
      - "3307:3306"
    volumes:
      - "./configs/mysql/master/data:/var/lib/mysql"
      - "./configs/mysql/radius.sql:/docker-entrypoint-initdb.d/radius.sql"
    environment:
      - MYSQL_ROOT_PASSWORD=radius
      - MYSQL_USER=radius
      - MYSQL_PASSWORD=radpass
      - MYSQL_DATABASE=radius
    restart: unless-stopped
    networks:
      my-network-2:
        ipv4_address: 172.29.1.3

   


networks:
  my-network:
    external: true
  my-network-2:
    external: true
# docker run --name=mikrotik-3 -d -p 2222:22 -p 8728:8728 -p 8729:8729 -p 5900:5900 -ti evilfreelancer/docker-routeros
